<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_Dispatcher StructType
 * @subpackage Structs
 */
class Update_Dispatcher extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DispatcherInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DispatcherInsert
     */
    public $DispatcherInsert;
    /**
     * Constructor method for Update_Dispatcher
     * @uses Update_Dispatcher::setLogin()
     * @uses Update_Dispatcher::setDispatcherInsert()
     * @param \StructType\Login $login
     * @param \StructType\DispatcherInsert $dispatcherInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\DispatcherInsert $dispatcherInsert = null)
    {
        $this
            ->setLogin($login)
            ->setDispatcherInsert($dispatcherInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_Dispatcher
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DispatcherInsert value
     * @return \StructType\DispatcherInsert|null
     */
    public function getDispatcherInsert()
    {
        return $this->DispatcherInsert;
    }
    /**
     * Set DispatcherInsert value
     * @param \StructType\DispatcherInsert $dispatcherInsert
     * @return \StructType\Update_Dispatcher
     */
    public function setDispatcherInsert(\StructType\DispatcherInsert $dispatcherInsert = null)
    {
        $this->DispatcherInsert = $dispatcherInsert;
        return $this;
    }
}
